<main class="viewer__container">
  <div class="viewer__columns">
    <header>
      <lib-pageheader [pageTitle]="'Leerdoel'" [subTitle]="'Details'"></lib-pageheader>
      <lib-pageheader
        [buttonText]="'Wijzigen'"
        [buttonImageClass]="'fa fa-edit fa-lg'"
        [actionIsAllowed]="userMayEdit$ | async"
        (action)="onEdit(objective?.id)"
      ></lib-pageheader>
    </header>

    <nav>
      <div *ngIf="objective.administrativeRemark" class="widget widget--sidebar widget--red">
        <h4 class="widget__header">Opmerking</h4>
        <div class="widget__content">
          <p>{{ objective.administrativeRemark }}</p>
        </div>
      </div>
    </nav>

    <article>
      <section>
        <h3>Leerdoel</h3>
        <p>{{ objective?.name }}</p>
      </section>

      <section *ngIf="objective?.shortDescription">
        <h3>Beschrijving</h3>
        <p>{{ objective?.shortDescription }}</p>
      </section>

      <section *ngIf="objective?.longDescription">
        <h3>Toelichting</h3>
        <p [innerHTML]="objective?.longDescription"></p>
      </section>

      <section>
        <h3>Bloom taxonomie</h3>
        <p>{{ objective?.bloomTaxonomy }}</p>
      </section>

      <section>
        <h3>Gerealiseerd in onderwijseenheid</h3>
        <p>{{ objective?.module?.name }}</p>
      </section>

      <section>
        <h3>In leerlijn</h3>
        <p *ngFor="let ll of objective?.learningLines">{{ ll.name }}</p>
      </section>

      <section>
        <h3>Beoogde eindkwalificaties</h3>
        <inzicht-endqualification-display
          [qualifications]="objective?.endqualifications"
        ></inzicht-endqualification-display>
      </section>
    </article>

    <aside>
      <lib-entity-detail [entity]="objective"></lib-entity-detail>
    </aside>

    <footer>
      <p>
        Laatst gewijzigd door
        {{ objective?.lastUpdatedBy?.firstName }}
        {{ objective?.lastUpdatedBy?.lastName }}
        op
        {{ objective?.updatedAt | date: 'long' }}.
      </p>
      <!-- <pre *ngIf="debug">{{ objective | json }}</pre> -->
    </footer>
  </div>
</main>
